Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.adapter
Class DefaultJavaLangObjectAdapted

    java.lang.Object
      org.jboss.portal.common.adapter.DefaultJavaLangObjectAdapted

All Implemented Interfaces:
  JavaLangObjectAdapted

    public class DefaultJavaLangObjectAdapted

extends java.lang.Object
implements JavaLangObjectAdapted

Version:
  $Revision: 7228 $
Author:
  Julien Viet

Constructor Summary
`DefaultJavaLangObjectAdapted()`

Method Summary
`boolean` | `equals(ClassAdaptable adaptable, java.lang.Object obj)` Implementation of `equals`.
`int` | `hashCode(ClassAdaptable adaptable)` Implementation of `hashCode`.
`java.lang.String` | `toString(ClassAdaptable adaptable)` Implementation of `toString()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultJavaLangObjectAdapted

    public DefaultJavaLangObjectAdapted()

Method Detail

### toString

    public java.lang.String toString(ClassAdaptable adaptable)

  Description copied from interface: `JavaLangObjectAdapted`
  Implementation of `toString()`.

  Specified by:
    `toString` in interface `JavaLangObjectAdapted`
  Parameters:
    `adaptable` - the adaptable object
  Returns:
    the string value

### hashCode

    public int hashCode(ClassAdaptable adaptable)

  Description copied from interface: `JavaLangObjectAdapted`
  Implementation of `hashCode`.

  Specified by:
    `hashCode` in interface `JavaLangObjectAdapted`
  Parameters:
    `adaptable` - the adaptable object
  Returns:
    the hash code value

### equals

    public boolean equals(ClassAdaptable adaptable,
                          java.lang.Object obj)

  Description copied from interface: `JavaLangObjectAdapted`
  Implementation of `equals`.

  Specified by:
    `equals` in interface `JavaLangObjectAdapted`
  Parameters:
    `adaptable` - the adaptable object
    `obj` - the object to test equality with
  Returns:
    true the equals value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.